Subject: Re: [RFC PATCH v2 net-next 1/3] netlink: add support for formatted extack messages

From: Jakub Kicinski <[email-masked]>
Date: Mon, 17 Oct 2022 11:40:56 -0700

On Mon, 17 Oct 2022 13:04:35 +0100 Edward Cree wrote:
> On 13/10/2022 16:29, Jakub Kicinski wrote:
> >    (I think splicing the "trunced extack:" with fmt will result
> >     in the format string getting stored in .ro twice?)  
> 
> Yes, it will.  I guess we could splice "%s" with fmt in _both_
>  calls (snprintf and net_warn_ratelimited), pass "" to one and
>  "truncated extack: " to the other.  Then there's only a single
>  string to put in .ro.  Is that worth the complication?

I vote 'yes', with a simple comment next to it, it should be a fairly
obvious trick to a reader of this code.